@import "variables.less";

/* ----------------------------------------- */
/*  Sidebar Styling                          */
/* ----------------------------------------- */

.chat-message {
  .message-content {
    .font-body-regular();
    font-size: 12px;
  }

  .message-header {
    .flavor-text {
      .font-body-medium();
    }
  }
}

.combat-sidebar {
  font-family: 'Orbitron';

  #combat-controls {
    a.center {
      font-size: 16px;
    }
  }

  li.combatant {
    .roll {
      background: none;
      font-weight: 300;
      font-family: "Font Awesome 6 Pro";
      font-size: 26px;

      &:before {
        content: "\f522";
        color: white;
      }

      &:hover {
        background: none;
        content: "\f522";
        color: red;
      }
    }
  }
}

.compendium-sidebar {
  li.compendium-pack {
    .compendium-footer {
      .font-body-regular();
    }
  }

  h3 {
    .font-heading-medium();
  }
}

.directory {
  .action-buttons {
    button {
      .font-body-regular();
    }
  }

  .directory-header {
    .create-character {
      .font-body-regular();
      height: 28px;
      margin: 4px;
    }

    .header-search {
      input {
        .font-body-regular();
      }
    }
  }

  .directory-list {
    .directory-item {
      // background: @sidebarBackground;
      background-color: hsla(60, 5%, 20%, 0.2);

      h3,
      h4 {
        .font-heading-medium();
        font-size: 0.875em;
      }

      img {
        height: 48px;
        width: 78px;
      }
    }
  }
}

.playlists-sidebar {
  h4 {
    .font-body-medium();
  }
}

.window-app {
  .window-content {
    background: @sheetBackground;
  }
}